<script setup>
import { ref } from 'vue'
import { apiBaseConfig } from '@/api/hzyb/common'
import {Popup} from 'vant'

const show = defineModel('show', { type: Boolean, default: false })

const disclaimer = ref('')
function getConfig() {
  apiBaseConfig().then(res => {
    if (res.code == 200) {
      disclaimer.value = res.data.disclaimer
    }
  })
}
getConfig()

</script>

<template>
  <Popup :show="show" @close="show = false" round closeable>
    <div class="disclaimers-box">
      <div
        style="
          text-align: center;
          font-size: 16px;
          font-weight: bold;
          margin-bottom: 20px;
        "
      >
        免责声明
      </div>
      <div v-html="disclaimer"></div>
    </div>
  </Popup>
</template>

<style lang="scss" scoped>
.disclaimers-box{
        width: 94vw;
        padding: 32px;
    }
</style>